.\"	$NetBSD: networks.5,v 1.15 2003/08/07 10:31:17 agc Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)networks.5	8.1 (Berkeley) 6/5/93
.\"
.Dd November 17, 2000
.Dt NETWORKS 5
.Os
.Sh NAME
.Nm networks
.Nd Internet Protocol network name data base
.Sh DESCRIPTION
The
.Nm
file is used as a local source to translate between Internet Protocol
.Pq Tn IP
network addresses and network names (and vice versa).
It can be used in conjunction with the DNS,
.\"and the
.\".Tn NIS
.\"maps
.\".Sq networks.byaddr ,
.\"and
.\".Sq networks.byname ,
as controlled by
.Xr nsswitch.conf 5 .
.Pp
While the
.Nm
file was originally intended to be an exhaustive list of all
.Tn IP
networks that the local host could communicate with, distribution
and update of such a list for the world-wide
.Tn Internet
(or, indeed, for any large "enterprise" network) has proven to be
prohibitive, so the Domain Name System
.Pq Tn DNS
is used instead, except as noted.
.Pp
For each
.Tn IP
network a single line should be present with the following information:
.Dl name network [alias ...]
.Pp
These are:
.Bl -tag -width network -offset indent -compact
.It Em name
Official network name
.It Em network
IP network number
.It Em alias
Network alias
.El
.Pp
Items are separated by any number of blanks and/or tab characters.
A
.Dq \&#
indicates the beginning of a comment; characters up to the end of
the line are not interpreted by routines which search the file.
.Pp
Network number may be specified in the conventional dot
.Pq Dq \&.
notation using the
.Xr inet_network 3
routine
from the
.Tn IP
address manipulation library,
.Xr inet 3 .
Network names may contain
.Qq a
through
.Qq z ,
zero through nine, and dash.
.Pp
.Tn IP
network numbers on the
.Tn Internet
are generally assigned to a site by its Internet Service Provider
.Pq Tn ISP ,
who, in turn, get network address space assigned to them by one of
the regional Internet Registries (e.g. ARIN, RIPE NCC, APNIC).
These registries, in turn, answer to the Internet Assigned Numbers
Authority
.Pq Tn IANA .
.Pp
If a site changes its ISP from one to another, it will generally
be required to change all its assigned IP addresses as part of the
conversion; that is, return the previous network numbers to the previous
.Tn ISP ,
and assign addresses to its hosts from
.Tn IP
network address space given by the new
.Tn ISP .
Thus, it is best for a savvy network manager to configure his
hosts for easy renumbering, to preserve his ability to easily
change his
.Tn ISP
should the need arise.
.Sh FILES
.Bl -tag -width /etc/networks -compact
.It Pa /etc/networks
The
.Nm
file resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr getnetent 3 ,
.Xr nsswitch.conf 5 ,
.Xr resolv.conf 5 ,
.Xr hostname 7 ,
.Xr dhclient 8 ,
.Xr dhcpd 8 ,
.Xr named 8
.Rs
.%R RFC 2317
.%D March 1998
.%T "Classless IN-ADDR.ARPA delegation"
.Re
.Rs
.%R RFC 1918
.%D February 1996
.%T "Address Allocation for Private Internets"
.Re
.Rs
.%R RFC 1627
.%D July 1994
.%T "Network 10 Considered Harmful"
.Re
.Rs
.%R RFC 1519
.%D September 1993
.%T "Classless Inter-Domain Routing (CIDR): an Address Assignment and Aggregation Strategy"
.Re
.Rs
.%R RFC 1101
.%D April 1989
.%T "DNS Encoding of Network Names and Other Types"
.Re
.Sh HISTORY
The
.Nm
file format appeared in
.Bx 4.2 .
